%define		hordeapp dimp

%include	/usr/lib/rpm/macros.php
Summary:	Dynamic Internet Messaging Program (DIMP)
Summary(pl.UTF-8):	Program do dynamicznej komunikacji przez Internet (DIMP)
Name:		horde-%{hordeapp}
Version:	1.1.5
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/dimp/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	6d7605cd927eabf42de3cdb582237d6e
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
URL:		http://www.horde.org/dimp/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
Requires:	apache(mod_access)
Requires:	horde >= 3.2
Requires:	horde-imp >= 4.2
Requires:	webapps
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
DIMP (Dynamic Internet Messaging Program, or Dynamic IMP) is a
PHP-based webmail system and a component of the Horde project. DIMP is
a version of the webmail client IMP utilizing AJAX-like technologies
to allow a more dynamic user experience than traditionally offered via
IMP.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with DIMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
DIMP (Dynamic Internet Messaging Program lub Dynamic IMP) to oparty na
PHP system webmaila (poczty przez WWW) i komponent projektu Horde.
DIMP to wersja klienta poczty przez WWW IMP wykorzystująca techlologie
typu AJAX do zapewnienia bardziej dynamicznego zachowania niż
tradycyjnie oferowane przez IMP-a.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla
DIMP) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}

rm -f {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm -f test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-dimp.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 81f2e26
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8d2a76a
- migrate to apache 2.4
- rel 2

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> 75246a8
- autoup to 1.1.5

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> cb55336
- 1.1.4

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> eac79e6
- rel 1
- sanitized R/S

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> daf3d83
- added js dir to package
- fixed typo

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 5953841
- typo

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 6b10047
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 038488c
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 9fbf0a2
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> b45a0cc
- updated to 1.1
- removed unreadable tangle of macros and ugly hacks

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> dc13217
- update to 1.0rc2, unify macros

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 7b4bea2
- pl

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 1000639
- new, based on ingo.conf

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 09db0e3
- new (based on template-horde.spec)

